import request from '@/utils/request'

// 查询计量线路信息列表
export function listBaseLineInfo(query) {
  return request({
    url: '/ems/base/baseLineInfo/list',
    method: 'get',
    params: query
  })
}

// 查询计量线路信息详细
export function getBaseLineInfo(objId) {
  return request({
    url: '/ems/base/baseLineInfo/' + objId,
    method: 'get'
  })
}

// 新增计量线路信息
export function addBaseLineInfo(data) {
  return request({
    url: '/ems/base/baseLineInfo',
    method: 'post',
    data: data
  })
}

// 修改计量线路信息
export function updateBaseLineInfo(data) {
  return request({
    url: '/ems/base/baseLineInfo',
    method: 'put',
    data: data
  })
}

// 删除计量线路信息
export function delBaseLineInfo(objId) {
  return request({
    url: '/ems/base/baseLineInfo/' + objId,
    method: 'delete'
  })
}
